package com.sky.common.exception;

import lombok.extern.slf4j.Slf4j;

/**
 * 账号被锁定异常
 */
@Slf4j
public class AccountLockedException extends BaseException {
    /**
     * Constructs a new runtime exception with {@code null} as its
     * detail message.  The cause is not initialized, and may subsequently be
     * initialized by a call to {@link #initCause}.
     */
    public AccountLockedException() {
    }

    public AccountLockedException(String message) {
        super(message);
        log.error("账号被锁定异常:{}", message);
    }
}
