package com.sky.common.exception;

import lombok.extern.slf4j.Slf4j;

/**
 * 密码修改失败异常
 */
@Slf4j
public class PasswordEditFailedException extends BaseException {
    /**
     * Constructs a new runtime exception with {@code null} as its
     * detail message.  The cause is not initialized, and may subsequently be
     * initialized by a call to {@link #initCause}.
     */
    public PasswordEditFailedException() {
    }

    public PasswordEditFailedException(String message) {
        super(message);
        log.error("密码修改失败异常:{}", message);
    }
}
