package com.sky.common.exception;

import lombok.extern.slf4j.Slf4j;

/**
 * 订单业务异常
 */
@Slf4j
public class OrderBusinessException extends BaseException {
    /**
     * Constructs a new runtime exception with {@code null} as its
     * detail message.  The cause is not initialized, and may subsequently be
     * initialized by a call to {@link #initCause}.
     */
    public OrderBusinessException() {
    }

    public OrderBusinessException(String message) {
        super(message);
        log.error("订单业务异常:{}", message);
    }
}
