package com.sky.mapper;

import com.sky.pojo.entity.OrderDetail;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface OrderDetailMapper {
    /**
     * 批量插入订单明细数据
     *
     * @param orderDetailArrayList ArrayList<OrderDetail>
     */
    void insertBatch(List<OrderDetail> orderDetailArrayList);

    /**
     * 查询订单明细
     *
     * @param id Long
     * @return List<OrderDetail>
     */
    List<OrderDetail> getByOrderId(Long id);
}