package com.sky.service;


import com.sky.pojo.dto.ShoppingCartDTO;
import com.sky.pojo.entity.ShoppingCart;

import java.util.List;

public interface ShoppingCartService {
    /**
     * 添加购物车
     *
     * @param shoppingCartDTO 购物车请求参数
     */
    void addShoppingCart(ShoppingCartDTO shoppingCartDTO);

    /**
     * 查询购物车
     *
     * @return 购物车列表
     */
    List<ShoppingCart> list();

    /**
     * 清空购物车商品
     */
    void cleanShoppingCart();

    /**
     * 删除购物车商品
     *
     * @param shoppingCartDTO 购物车请求参数
     */
    void subdShoppingCart(ShoppingCartDTO shoppingCartDTO);
}
